Scilab Function
Last update : 16/6/2004

graduate - graduations simplifiées des axes 2D

### Calling Sequence

  `[xi,xa,np]=graduate( xmi, xma,n1,n2)`
  `[xi,xa,np]=graduate( xmi, xma)`

### Parameters

- `xmi,xma` : scalaire réel
- `n1, n2` : entiers avec comme valeurs par défaut 3, 10
- `xi, xa` : scalaire réel
- `np` : entier

### Description

graduate recherche l'intervalle minimum `[xi,xa]` et un nombre de graduations `np` tels que :

`xi <= xmi <= xma <= xa`

`xa - xi / np = k(10^n)`,`k` dans `[1 3 5]` pour un entier `n`

`n1 < np < n2`

### Examples

      y=(0:0.33:145.78)';
      xbasc();plot2d1('enn',0,y)
      [ymn,ymx,np]=graduate(mini(y),maxi(y))
      rect=[1,ymn,prod(size(y)),ymx];
      xbasc();plot2d1('enn',0,y,1,'011',' ',rect,[10,3,10,np])

### See Also

`xsetech`, `plot2d`,

### Author

S. Steer 1992;